PATHVERIFY(3)

NAME
pathverify - stand alone RFC3280 path validation and discovery tool.

SYNOPSIS
pathverify [options] files...

DESCRIPTION
pathverify is for validating the configuration of pathfinderd, as well as providing a simple, command line program to verify X.509 certificates.

OPTIONS
pathverify supports the following options:

-c, --config=ini:filename.ini
    Config moniker (default: ini:/etc/pathfinderd.ini)

-p, --policy=POLICY
    Initial policy set to use for validation, in tcl-encoded form (default: 2.5.29.32.0)

-q, --quiet
    Decrease log level (can be used multiple times)

--skip-crl-check
    Skips any CRL checking.

-t, --type=TYPE
    Certificate type: der or pem (default: pem)

-v, --verbose
    Increase log level (can be used multiple times)

--usage
    Give a short usage message

-?, --help
    Show summary of options.

SEE ALSO
pathclient(3), pathfinderd(8).

AUTHOR
pathfinder was written by Carillon Information Security Inc.

This manual page was written by Patrick Patterson <ppatters@debian.org>, for the Debian project (but may be used by others).